commit 6d5cb0110b8b21ce94a52993e6e175266a4153fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 3 14:29:46 2022 -0800

    xprop 1.2.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6e2ab69bc4e339c555b03037db3c073d1a5fa965
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 8 19:04:05 2022 -0800

    Variable scope reductions as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b14f4fa558db643d1462e9346f138122cb63ce28
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 8 18:48:44 2022 -0800

    Resolve many gcc -Wsign-compare warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7b1a3f4fec15a0f0a0cd95308f29310adb023a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 8 18:34:35 2022 -0800

    Rename "dpy" function arguments to "display" to avoid shadowing global
    
    Clears many gcc -Wshadow warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 07f869b9024847a98d0593a3d05cff122ae7c8eb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 8 18:24:23 2022 -0800

    Declare help() and print_help() as static
    
    Resolves gcc -Wmissing-prototypes warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7ae07138436c9700c65192c4fbc3015819999666
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 8 18:23:21 2022 -0800

    Mark help(), usage(), and grammar() with _X_NORETURN _X_COLD
    
    Resolves gcc -Wsuggest-attribute=noreturn warning
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 55c9f8d4b5caf48c1d79252340e1750e160ded1e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c36de8de9b2a5832f848259583631310c04b3715
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 13:30:04 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d7ec12530b4e45adb6f1c88e92fb25b3ff172c79
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 13:30:01 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca85da483ab1817ed449fccf3e54e8280112bdbf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 09:50:10 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ec5aeaddddec4b4bdb532451f5a2bc8e3b7148a9
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 19 16:24:50 2020 -0800

    xprop 1.2.5
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 09f145bcf13a08a05daf85f75444741ffb78a2bb
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 17 15:22:49 2020 -0800

    Check return value from ioctl(TIOCGWINSZ)
    
    Make sure the function succeeded before looking at the return value.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 95025ea167d87998ef0bd3ed25dfaa2c179cf712
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 17 15:19:46 2020 -0800

    Correct icon buffer width computation for truecolor terminals
    
    Fix the test when computing size necessary for true color output to
    use 'is_truecolor_term' instead of 'is_utf8_locale'. A non-utf8 locale
    with a true color terminal would have under-allocated the
    buffer. Also, check for truecolor first to match the output code.
    
    This doesn't fix the fact that this code over-allocates by a factor of
    two in this case, but that at least won't cause memory corruption.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 706ed45e0b58219bc623b8c5f963777a120d2844
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 17 15:18:46 2020 -0800

    Free string list returned from XmbTextPropertyToTextList
    
    Make sure we clean up after this call by using the XFreeStringList
    function.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a30ed360fe56a556072e1fc551ffbe6797642227
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 17 15:16:00 2020 -0800

    Make output with unknown width terminal the same as old code
    
    Auto-detecting the terminal width and eliding icons that are too wide
    is a nice new feature, but we shouldn't change the behaviour when that
    width is not detectable (e.g., when output to a file). Change the
    default terminal width from 80 to 144 + 8 to get back to the previous
    output format.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2c753b5c1622afa662a4f4334dd947667f37a803
Author: Pierre-Loup A. Griffais <git@plagman.net>
Date:   Sat Jun 6 15:31:34 2020 -0700

    Fix formatting of back-to-back not shown icons.
    
    Otherwise looks like this:
    
    Icon (48 x 48):
    (not shown)     Icon (64 x 64):
    (not shown)     Icon (128 x 128):
    (not shown)

commit d41b28bfa8f5bf5155082167fb004e3c709b52ae
Author: Pierre-Loup A. Griffais <git@plagman.net>
Date:   Sat Jun 6 15:19:10 2020 -0700

    Support true color output for icons if the terminal advertises it.

commit e25ae1d9b03a84c3ca825745156af2a7045f04e5
Author: Pierre-Loup A. Griffais <git@plagman.net>
Date:   Sat Jun 6 15:12:07 2020 -0700

    Fix aspect ratio for icon display by using two characters per icon pixel.

commit 33042c835583b77c31f38f33e5560e596a416662
Author: Pierre-Loup A. Griffais <git@plagman.net>
Date:   Sat Jun 6 15:03:08 2020 -0700

    Break down memory allocation logic and fix overallocating for UTF8.
    
    We need up to 3 bytes per character in UTF8 mode, not 4.

commit 540c5674722c1f569e9089db14ef07554ef48c16
Author: Pierre-Loup A. Griffais <git@plagman.net>
Date:   Sat Jun 6 14:45:25 2020 -0700

    Don't display icons if they would line-wrap.
    
    Assuming we can query the terminal width.

commit 632461227686bb31004fd9cf823bcf1645e7a563
Author: Jason Nader <jason.nader@protonmail.com>
Date:   Sat Apr 11 22:29:47 2020 +0900

    Add missing `-help` function
    
    `-help` is mentioned in the manpages, but actually running `xprop -help`
    results in xprop exiting with status 1 as it doesn't recognise the option.
    This has been the source of major confusion here:
    https://github.com/franciscolourenco/done/issues/77#issuecomment-612404448
    
    Signed-off-by: Jason Nader <jason.nader@protonmail.com>

commit e81642bacc58388c223bc157f37c2311a7dbe070
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 20:31:09 2019 -0800

    xprop 1.2.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c3a8c6ae1287187b7f59a53a6f0bdaf27bf9e61
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 3 14:46:22 2019 -0800

    Fix -Wsign-compare warning in dsimple.c
    
    dsimple.c:322:13: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      for (i=0; i<nchildren; i++) {
                 ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1edcd36934326eafffed6056ea54e2848738ab81
Author: pmav99 <pmav99@gmail.com>
Date:   Sat Feb 9 23:27:25 2019 +0000

    Fix typo in xprop.man

commit 5429792c7949ecc30ff445a1d123a6f3e28f3155
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:16:58 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa0112f9ed9f253957b467d533b2fdb351fbac93
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:46:14 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5a13b159150bea1ebda8439ed018a3975f30786b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 13:26:39 2018 -0700

    Add missing braces around else clause in Read_Quoted()
    
    Found by gcc 7.3:
    
    xprop.c: In function ‘Read_Quoted’:
    xprop.c:163:8: warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]
          } else
            ^~~~
    xprop.c:164:17: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the ‘else’
       ptr++[0] = c; length--;
                     ^~~~~~
    
    Introduced in initial commit to X Consortium RCS in 1987:
    https://cgit.freedesktop.org/~alanc/xc-historical/commit/xc/programs/xprop/xprop.c?id=18ea83d7457743936e99a574b50e208f7697f096
    
    Actual effect is minimal - for every \-escaped newline in the DFORMAT
    portion of a xprop formats file, xprop subtracted one byte too many
    from the count of bytes still available in the buffer, which could lead
    it to return an error of "Bad format file format: dformat too long." when
    there was still room left.  Since the original buffer size was 10,000
    bytes, and the current size is 500,000 bytes, it's unlikely anyone ever
    hit this in real usage.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ded6efa3da1ce611e4668d7766e934a239f6120c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 18:21:47 2018 -0800

    xprop 1.2.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 331ab01ac2ccb7aea7084c4907a47291ae549e1d
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 78e28685ad86facdbf94de607050f3b2f1752d12
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 44f2605cfecbf5b30677b6414389d8987c9dc59d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit fa732adbbf5e29f4bb230e9b7c0c91ccb4b5af7e
Author: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>
Date:   Fri May 22 11:10:05 2015 +0200

    Free the data returned by Format_Icons()
    
    Signed-off-by: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>

commit 52c9aa32c8f1b787de7b68d9bb843fa7270cbaaf
Author: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>
Date:   Fri May 22 11:10:03 2015 +0200

    Free the data returned by XGetWindowProperty()
    
    Signed-off-by: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>

commit dee1d0c1316b1c62c6c62d6f0f4b13685e8e6630
Author: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>
Date:   Fri May 22 11:10:04 2015 +0200

    Free the data returned by XListProperties()
    
    Signed-off-by: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>

commit 4f748e3d2b1368ec0590a413ba5f7addc5e3344f
Author: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>
Date:   Fri May 22 11:10:02 2015 +0200

    Free the thunks used by Show_Prop
    
    Signed-off-by: Eirik Byrkjeflot Anonsen <eirik@eirikba.org>

commit b0ae4b903067017ec7dc19f27d3916d2153410af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 18:29:44 2014 -0700

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit faa4fa7785addc2170d4de7bf13d377324597e99
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 18:26:19 2014 -0700

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5d4c35a6ad0823f9c921058fa6efb972b29da2d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 17:47:13 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 678692d91e1b03aa27f8d924744be8a04adf5b41
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 17:47:13 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9e0f57f6a271313d1b49b5019753b4410f407cc5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 8 20:04:00 2013 -0700

    xprop 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b150b99c56bc4c98bf416be66764fb49dce425dc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 19 18:38:25 2013 -0700

    Mark usage() as noreturn, as suggested by gcc -Wmissing-noreturn
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7ed5afd77941f89467e57ec8562992dd27ea3e7f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 19 18:36:17 2013 -0700

    Fix const conversion warnings from gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f16b22c4a6a878ca0f07e57da50f7ac04fef306
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 13:21:57 2013 -0800

    Add unicode argument to Format_Len_String to reduce code duplication
    
    Allows us to get rid of a second copy of the code that differed only
    in the unicode argument passed on to Format_String.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0384b1c6567d3f90975665ed4e7b3a09947cabee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 13:03:15 2013 -0800

    Replace strlen/malloc/memcpy set with strdup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7dba9bf178878e09aaad09be9ed9bdccb60c08b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 12:56:43 2013 -0800

    Mark FatalError() as taking printf-style arguments
    
    Silences -Wformat-nonliteral warnings about passing through
    unknown format arguments to vfprintf.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit db9c65f2b12b25a56f4e364ec6dd2dac0412413d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 12:52:18 2013 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d069c0edae83f70ac10fab1a3c04d8197e277c4
Author: lolilolicon <lolilolicon@gmail.com>
Date:   Tue Jan 10 23:39:04 2012 -0500

    Enable setting property of type UTF8_STRING.
    
    Fix "bad format character: u" error for format '8u', e.g.:
        xprop -root -f _NET_WM_NAME 8u -set _NET_WM_NAME LG3D
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 3e7b1528b1d8aa4b999789bccc5513ed5c3451f8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 21:16:32 2011 -0700

    Expand description in README a little
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d59bc81ec9af03c172e4894eb7f3bad4c76dc34b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 21:09:22 2011 -0700

    xprop 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66240b78d9ee8d4bbdfb3a5ccf9d87058cddf0de
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 8 21:47:06 2011 -0700

    Make error handlint more robust in Format_Len_Unicode
    
    xprop.c:1011:2: warning: Function call argument is an uninitialized value
            memcpy(_formatting_buffer, error, strlen(error)+1);
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    xprop.c:1011:36: note: instantiated from:
            memcpy(_formatting_buffer, error, strlen(error)+1);
                                              ^      ~~~~~
    
    Found-by: clang static analysis
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 433f43ec71447c447cdc6142ab5829a8eea258a7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun May 8 17:12:04 2011 -0700

    Fix uninitialize values warnings in static analysis
    
    xprop.c:299:25: warning: Passed-by-value struct argument contains uninitialized data (e.g., field: 'thunk_count')
        _property_formats = Add_Thunk(_property_formats, t);
                            ^                            ~
    xprop.c:1394:11: warning: Passed-by-value struct argument contains uninitialized data (e.g., field: 'thunk_count')
            thunks = Add_Thunk(thunks, t);
                     ^                 ~
    xprop.c:1581:15: warning: Passed-by-value struct argument contains uninitialized data (e.g., field: 'thunk_count')
                thunks = Add_Thunk(thunks, t);
                         ^                 ~
    xprop.c:1962:18: warning: Passed-by-value struct argument contains uninitialized data (e.g., field: 'thunk_count')
                set_props = Add_Thunk(set_props, t);
                            ^                    ~
    xprop.c:1952:21: warning: Passed-by-value struct argument contains uninitialized data (e.g., field: 'thunk_count')
                remove_props = Add_Thunk(remove_props, t);
                               ^                       ~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1f20efb09b0d437e0618b7588212e2e0b9ffd3b2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 20:06:16 2011 -0800

    Use _X_NORETURN from xproto 7.0.17 instead of local check
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 9b529480074120f8228662ede175bfa65f6ece8c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 21:51:00 2011 -0800

    Replace Copy_String() with strdup + error check
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit ea5ada919258d04e003596ee7079c33b5657dbdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 21:46:39 2011 -0800

    inline Malloc & Realloc functions
    
    Since stdlib.h versions return void *, remove unneeded casts that
    the wrappers needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit baed631bfcd091e40f4e84f740c6d86d9fb981b3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6505a6b2fb2672b543d5b485bc7ac739d1e479f0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:48 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b0c64dd81b9aa4d07a87d811cd2975cc6989adc8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 15744802201da54ff8e39bc0d5b9f1a69ce3496d
Author: Kai-Uwe Behrmann <ku.b@gmx.de>
Date:   Tue Dec 7 22:36:37 2010 -0800

    xprop man page example for -set option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b8f740b195888cf530e4982ba3e9a3760b40f3bc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:06:48 2010 -0700

    xprop 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1640fcc34a9883898b07789949e3a3af9d398c15
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:04:08 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 509973583996c7bd279ea9276731fb00dd104861
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:03:24 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa09594696443397b723e441050012cada351210
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 30 11:02:43 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4488937f380d775290e84b720007a736d4390c25
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 64045bdb44d0e026a76ce1ebb00671e622b74ae6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 7 22:10:50 2010 -0500

    COPYING: replace stub with copyright notices
    
    Refer to xprop.c clientwin.h
    Copyright 1990, 1998  The Open Group
    Copyright (c) 2000  The XFree86 Project, Inc.
    Copyright 2007 Kim woelders
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bff28ee6ca1fa714797d5e675616e71ff6f2c9db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 418f388067aa8650bf88410a7f82894225c1d77d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 8cb541fa176d88415b5b7032f19cedd389697a22
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 6d322cf0d7799e63291665cb8a708f2b22e99ec2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit d32aaf2131358fe3f8a0a6f376568f5109279660
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:21 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit eb64005382abf6262c913a46e6186e019a179d59
Author: Yang Zhao <yang@yangman.ca>
Date:   Tue Oct 20 19:50:28 2009 -0400

    Print UTF8_STRING type as UTF-8 when locale supports it
    
    Introduces 'u' format character, which behaves like 's', but leaves
    UTF-8 encoding intact.
    
    Property value is checked for UTF-8 validity according to RFC 3629.
    If invalid, an error string is printed, followed by the string formatted
    using 's'. ie:
    
      PROP(UTF8_STRING) = <Invalid UTF-8 string: Forbidden value> "\374\233"
    
    Signed-off-by: Yang Zhao <yang@yangman.ca>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 681d16ec9843b5c001cff1c9bc0637b8ba0c9abd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 13:35:11 2009 -0700

    xprop 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a5044e717eb486ebe79ea109994c3e761df7dc00
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 13:07:35 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 817fc3e95863fd2ee8d3861704c1bfdf614a9ac1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 13:05:21 2009 -0700

    Add 'o' property type to man page for icon formats
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dafb5312e6cbf01186e1815650830d2f131082be
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:29 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 11fb62d5aa6304d1813b56a372b8b662f0016f92
Author: Søren Sandmann Pedersen  <sandmann@redhat.com>
Date:   Tue Apr 21 21:13:16 2009 -0400

    Display _NET_WM_ICONs as ASCII art instead of as a big list of integers

commit 1b89edb419ee103d0ef834433b16a3822398a519
Author: Søren Sandmann Pedersen  <sandmann@redhat.com>
Date:   Tue Apr 21 15:10:07 2009 -0400

    The "visible bit" is called "urgency bit" in the ICCCM 2.0

commit 5152f193534886796827cf54a36471b679348642
Author: Ben Hutchings <ben@decadent.org.uk>
Date:   Mon Feb 16 19:04:10 2009 -0500

    Exit cleanly when the target window is destroyed. (#19381)

commit be665ef592f24ccc93a46dc938c3a101d6668cdf
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 26 16:18:35 2009 -0200

    Correct make distcheck and don't distribute autogen.sh.

commit 9271b26d991608b562960aa041b0c371086cc490
Author: Neale Pickett <neale@woozle.org>
Date:   Wed Nov 26 17:28:56 2008 -0800

    -spy: flush output before waiting for more events
    
    I'm trying to use xprop with the -spy option in a shell script, and
    since it doesn't flush stdout, it's bunching up lots of modifications
    into a big chunk of writes.

commit 3c139c58b5c2c12bde693af298f72fe3ea4e0e02
Author: Branden Robinson <branden@debian.org>
Date:   Fri Feb 11 02:14:27 2005 -0500

    Do not spew usage on connection error
    
    General philosophy:
    
    The user should only be shown a usage message when:
      * it is asked for with a --help option or the like.
      * the command line is syntactically invalid.

commit 3ca0bb9c461c7f96104dacb2b9147d2576c2cada
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Sun Mar 16 17:30:30 2008 -0300

    Bug#15069: Compile warning fixes.
    
    Declare some functions as static and include clientwin.h to ensure
    prototype and definition match.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 6fd22b01352ba54f2e805505f4d336c2740a3598
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Mar 7 17:23:30 2008 -0500

    xprop 1.0.4

commit 427023df02bd38ff9dc2af2a2059466f37f4cfd8
Author: Benjamin Close <Benjamin.Close@clearchain.com>
Date:   Wed Dec 19 15:17:34 2007 +1030

    Fix build under autoconf 2.57
    
    configure.ac specifies a max version of 2.57 but AC_CHECK_HEADERS_ONCE
    was only introduced to autoconf in 2.59c. Drop the _ONCE to make autoconf happy
    
    Bug: 13631
    Found by: tinderbox
    Approved by: daniels@

commit e09956f244099ddd36b1a2cd5d7800d5fc7120c1
Author: Kim Woelders <kim@woelders.dk>
Date:   Thu Dec 6 05:30:43 2007 -0500

    Select correct client window in WM’s using virtual roots
    From bug 2185¹
    
    When manually selecting a window, xprop finds the top-level window containing
    the pointer and uses XmuClientWindow to attempt to find a client window having
    WM_STATE set.
    
    In a WM using virtual roots (e.g. enlightenment, desks other than first) this
    fails beacuse the top-level window is a virtual root, and XmuClientWindow seems
    to find the first client having WM_STATE set, which only by coincidence will be
    the one the user intended to select (i.e. containing the pointer).
    
    The solution is to descend the window hierarchy at the pointer location to find
    a window with WM_STATE set.
    
    1] https://bugs.freedesktop.org/show_bug.cgi?id=2185
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 9ccda86dae06375750685977a81f4fb1cabf3d00
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 14:52:27 2007 -0700

    Version bump: 1.0.3

commit 4f7bc8ecad63db6b7557b5556ac6f604e84eb55e
Author: Jay Hobson <jay.hobson@sun.com>
Date:   Wed Aug 8 13:38:33 2001 -0700

    Sun Bug 4474581: xprop fails in Japanese locale
    
    CJK locales need a much longer string as they include
    many \xXX entries which expand into /XXXXXXXX entries.
    Increased the buffer from 10000 to 500000 bytes.
    Make sure buffer pointer doesn't go negative in _put_char.

commit 23e375f3842b433b0af7f150135537f7381208ae
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 14:17:51 2007 -0700

    Simplify printing of usage message

commit fc788dc35532ebff44b5828f686b42e0deeec52c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 13:40:17 2007 -0700

    Convert old #ifdefs for HAS_WTYPE_H & HAS_WCHAR_H to autoconf checks

commit b9860eeb000018a83233cec14ff0db8687a146b5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 13:33:17 2007 -0700

    Replace sprintf's with snprintf's

commit 64326bae4e9b9c05b8781403ee27af95065eb2fb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 12:08:57 2007 -0700

    Coverity #905: Handle_Prop_Requests returned without freeing storage "thunks"

commit 866ceb3a671a9ab93b3ecbdf3231902ab2251ce3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 11:56:41 2007 -0700

    ANSIfy function declarations in dsimple.c

commit 5424a5c064d96b33a4acdf951734cd3a493a7ea3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 11:52:39 2007 -0700

    Purge unused code from dsimple.c
    
    dsimple.c was originally shared source among several X apps.
    Since modularization gave each app it's own copy, much of the code is
    no longer needed in each app.

commit 2d7dc57ae1d5e0af6e6ecb70764c512f6d518d6a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 11:43:04 2007 -0700

    Add hooks to check sources with lint/sparse/etc.

commit 7b3c0c95b9bb223ae779b8bf0c7d78967e0dcd9e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 11:35:27 2007 -0700

    Change xprop_CFLAGS to AM_CFLAGS to clear automake-1.10 warning
    
    Makefile.am:27: compiling `dsimple.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit c843fa3f4e65f2e1e133633b445f8693b1cc617c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 11:34:23 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 20955b2e662bb659533287d86fcd4d1cf75d3551
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 11:15:36 2007 -0700

    renamed: .cvsignore -> .gitignore

commit 91ca94a1d9e7eed7449c4243d84433180fc04566
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 11:12:17 2007 -0700

    X.Org bug #10616: Add all the X info commands to See Also
    
    X.Org Bugzilla #10616: <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian bug #350313 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350313>

commit 4e8c0ec7c0b6b6602ae402313d8314f7653046ba
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Aug 29 20:03:33 2006 +0300

    bump to 1.0.2

commit b8e4793e6bc939ee7b558f7eba7e4a485ed3bc7f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jul 27 09:11:10 2006 +0300

    remove misleading comment

commit 47514347db811d002e7f3ca05d390565bc3ee5e5
Author: Branden Robinson <branden@debian.org>
Date:   Thu Jul 27 06:14:54 2006 +0300

    handle actual_format_return == 0 (#7647)
    Handle buggy servers which set actual_format_return == 0, instead of aborting.

commit 56afcb5553455db8486bfb0e65e74506fc681940
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:53 2005 +0000

    Update package version for X11R7 release.

commit 851cad34f8905d5111c7b5e30222efba8d630499
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:46 2005 +0000

    Stub COPYING files

commit 587c42a9bf142d16ddb349ab0afada5cbffc42c7
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:10 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 299da02da003a5804e58cf5e613aa1aa3321b3cb
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:25 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 04bfd06dfa055d0143e2a98da1b06f84f02dca6d
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:27 2005 +0000
